#
#       Makefile for grph1/append
#

ROOTDIR = ../../..

LIBOBJS		= slpk01.exe slpk02.exe slpk03.exe slpk04.exe

EPSFILES	= slpk01_0001.eps slpk02_0001.eps slpk03_0001.eps slpk04_0001.eps

!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_POSTTARGET=build-exec

build-exec: mkobj $(EPSFILES) rmobj

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win  subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

slpk01_0001.eps:
	echo 2 | slpk01.exe -sw_ifl=2 -sw_fname=slpk01

slpk02_0001.eps:
	echo 2 | slpk02.exe -sw_ifl=2 -sw_fname=slpk02

slpk03_0001.eps:
	echo 2 | slpk03.exe -sw_ifl=2 -sw_fname=slpk03

slpk04_0001.eps:
	echo 2 | slpk04.exe -sw_ifl=2 -sw_fname=slpk04
